/*
 *+------------------------------------------------------------------------+
 *| Licensed Materials - Property of IBM                                   |
 *| (C) Copyright IBM Corp. 2005.  All Rights Reserved.                    |
 *|                                                                        |
 *| US Government Users Restricted Rights - Use, duplication or disclosure |
 *| restricted by GSA ADP Schedule Contract with IBM Corp.                 |
 *+------------------------------------------------------------------------+
 */

package com.ibm.cic.common.core.model.internal;

import com.ibm.cic.common.core.model.FeatureKind;
import com.ibm.cic.common.core.model.IContentSelector;
import com.ibm.cic.common.core.model.IFeature;
import com.ibm.cic.common.core.model.Information;

public class Feature implements IFeature {

	private IContentSelector selector;
	private FeatureKind kind;
    private Information information;
    
	public IContentSelector getSelector() {
		return this.selector;
	}

	public void setSelector(IContentSelector selector) {
		this.selector = selector;
	}

	public FeatureKind getKind() {
		return this.kind;
	}

	public void getKind(FeatureKind kind) {
		this.kind = kind;
	}

    public Information getInformation() {
    	// TODO: could support accessing the information
    	//		 of the owned content selector; would this
    	//		 be a good idea since information by reference?
    	// if (this.information == null &&
    	//     this.selector != null) {
    	//     return this.selector.getInformation();
    	// }
    	return this.information;
    }


    public void setInformation(Information information) {
        this.information = information;
    }

}
