/*
 *+------------------------------------------------------------------------+
 *| Licensed Materials - Property of IBM                                   |
 *| (C) Copyright IBM Corp. 2005.  All Rights Reserved.                    |
 *|                                                                        |
 *| US Government Users Restricted Rights - Use, duplication or disclosure |
 *| restricted by GSA ADP Schedule Contract with IBM Corp.                 |
 *+------------------------------------------------------------------------+
 */

package com.ibm.cic.common.core.model.internal;

import java.util.Set;

import com.ibm.cic.common.core.model.FeatureKind;
import com.ibm.cic.common.core.model.IFeature;
import com.ibm.cic.common.core.model.IFeatureGroup;
import com.ibm.cic.common.core.model.IIdentity;
import com.ibm.cic.common.core.model.Information;

public class FeatureGroup implements IFeatureGroup {
	
    private IIdentity identity;
	private FeatureKind kind;
    private Information information;
    private Set features;
    private Set groups;

    public FeatureGroup(IIdentity identity) {
        this.identity = identity;
    }

	public IIdentity getIdentity() {
		return this.identity;
	}

	public FeatureKind getKind() {
		return this.kind;
	}

	public void getKind(FeatureKind kind) {
		this.kind = kind;
	}

    public Information getInformation() {
    	return this.information;
    }

    public void setInformation(Information information) {
        this.information = information;
    }

	public Set getGroups() {
		return this.groups;
	}

	public void addGroup(IFeatureGroup group) {
		this.groups.add(group);
	}

	public Set getFeatures() {
		return this.features;
	}

	public void addFeature(IFeature feature) {
		this.features.add(feature);
	}

}
