/*
 *+------------------------------------------------------------------------+
 *| Licensed Materials - Property of IBM                                   |
 *| (C) Copyright IBM Corp. 2005.  All Rights Reserved.                    |
 *|                                                                        |
 *| US Government Users Restricted Rights - Use, duplication or disclosure |
 *| restricted by GSA ADP Schedule Contract with IBM Corp.                 |
 *+------------------------------------------------------------------------+
 */

package com.ibm.cic.common.core.model;

// An IFeature represents some installable content in the context of an offering.
// The content of a feature is specified via a single selector of the top-level
// assembly associated with the offering.
// 
// The kind of the feature determines whether the feature is optional or required
// and whether the feature is or is not user visible.
// 
// A feature may have a name and description that are different from the name and
// description of the selector of the feature.
//
public interface IFeature {
	   
    public IContentSelector getSelector();
    public void setSelector(IContentSelector selector);
    
	public FeatureKind getKind();	
	public void getKind(FeatureKind kind);

    public Information getInformation();
    public void setInformation(Information info);
 
}
