/*
 *+------------------------------------------------------------------------+
 *| Licensed Materials - Property of IBM                                   |
 *| (C) Copyright IBM Corp. 2005.  All Rights Reserved.                    |
 *|                                                                        |
 *| US Government Users Restricted Rights - Use, duplication or disclosure |
 *| restricted by GSA ADP Schedule Contract with IBM Corp.                 |
 *+------------------------------------------------------------------------+
 */

package com.ibm.cic.common.core.model;

import java.util.Set;

import org.osgi.framework.Version;

public interface IOffering extends IContent {
	
	// An offering contains a single, top-level assembly.
	// TODO: Changing IOffering to extend IAssembly may
	//		 simplify code.
	//
    public IAssembly getAssembly();
    public void setAssembly(IAssembly assembly);
    
    public IIdentity getAssemblyId();
    public void setAssemblyId(IIdentity assemblyId);
    
    public Version getAssemblyVersion();
    public void setAssemblyVersion(Version assemblyVersion);
    
    // An offering contains a collection of feature groups
    // that capture the hierarchy and possibly visible,
    // possibly selectable, installable content of the offering.
    public Set getGroups();
    public void addGroup (IFeatureGroup group);
    
}
