package com.ibm.cic.common.core.model.internal;

import java.util.Set;

import org.osgi.framework.Version;

import com.ibm.cic.common.core.model.IAssembly;
import com.ibm.cic.common.core.model.IFeatureGroup;
import com.ibm.cic.common.core.model.IIdentity;
import com.ibm.cic.common.core.model.IOffering;

public class Offering extends BaseUnit implements IOffering {

    private IIdentity assemblyId;
    private Version assemblyVersion;
    private IAssembly assembly;
    private Set groups;
    
    public Offering(IIdentity id, Version version) {
        super(id, version);
    }

    public IAssembly getAssembly() {
        return this.assembly;
    }

    public void setAssembly(IAssembly assembly) {
        this.assembly = assembly;
    }

    public IIdentity getAssemblyId() {
        return this.assembly != null ? this.assembly.getIdentity() : this.assemblyId;
    }

    public void setAssemblyId(IIdentity assemblyId) {
        this.assemblyId = assemblyId;
    }

    public Version getAssemblyVersion() {
        return this.assembly != null ? this.assembly.getVersion() : this.assemblyVersion;
    }

    public void setAssemblyVersion(Version assemblyVersion) {
        this.assemblyVersion = assemblyVersion;
    }

	public Set getGroups() {
		return this.groups;
	}

	public void addGroup(IFeatureGroup group) {
		if (group != null) {
			groups.add(group);
		}
	}

}
