/*
 *+------------------------------------------------------------------------+
 *| Licensed Materials - Property of IBM                                   |
 *| (C) Copyright IBM Corp. 2005.  All Rights Reserved.                    |
 *|                                                                        |
 *| US Government Users Restricted Rights - Use, duplication or disclosure |
 *| restricted by GSA ADP Schedule Contract with IBM Corp.                 |
 *+------------------------------------------------------------------------+
 */

package com.ibm.cic.author.base.internal.model;

import java.util.Set;

import org.osgi.framework.Version;

import com.ibm.cic.common.core.model.IAssembly;
import com.ibm.cic.common.core.model.IFeatureGroup;
import com.ibm.cic.common.core.model.IIdentity;
import com.ibm.cic.common.core.model.IOffering;

public class OfferingProxy extends CicModelProxyElement 
	implements IOffering 
{
    public OfferingProxy(IIdentity id, Version version) {
        super(id, version);
    }//-------------------------------------------------------------------------

	public IAssembly getAssembly() {
		return getElement().getAssembly();
	}

	public void setAssembly(IAssembly assembly) {
		getElement().setAssembly(assembly);
	}

	public IIdentity getAssemblyId() {
		return getElement().getAssemblyId();
	}

	public void setAssemblyId(IIdentity assemblyId) {
		getElement().setAssemblyId(assemblyId);
	}

	public Version getAssemblyVersion() {
		return getElement().getAssemblyVersion();
	}

	public void setAssemblyVersion(Version assemblyVersion) {
		getElement().setAssemblyVersion(assemblyVersion);
	}

	public Set getGroups() {
		return getElement().getGroups();
	}

	public void addGroup(IFeatureGroup group) {
		getElement().addGroup(group);
	}

	private IOffering getElement(){
		return (IOffering)super.resolveProxy();
	}//_________________________________________________________________________

}//=============================================================================
