/*
 *+------------------------------------------------------------------------+
 *| Licensed Materials - Property of IBM                                   |
 *| (C) Copyright IBM Corp. 2005.  All Rights Reserved.                    |
 *|                                                                        |
 *| US Government Users Restricted Rights - Use, duplication or disclosure |
 *| restricted by GSA ADP Schedule Contract with IBM Corp.                 |
 *+------------------------------------------------------------------------+
 */

package com.ibm.cic.agent.internal.core;

import com.ibm.cic.common.core.model.*;
import java.util.Set;
import org.osgi.framework.Version;

public class OfferingReference 	
	implements IOffering, IRepositoryOfferingReference
{
    public OfferingReference(IOffering a_theModelOffering ) 
    {
    	m_theModelOffering= a_theModelOffering;
    }//-------------------------------------------------------------------------


	public IAssembly getAssembly() {
		return m_theModelOffering.getAssembly();
	}


	public void setAssembly(IAssembly assembly) {
		m_theModelOffering.setAssembly(assembly);		
	}


	public IIdentity getAssemblyId() {
		return m_theModelOffering.getAssemblyId();
	}


	public void setAssemblyId(IIdentity assemblyId) {
		m_theModelOffering.setAssemblyId(assemblyId);		
	}


	public Version getAssemblyVersion() {
		return m_theModelOffering.getAssemblyVersion();
	}


	public void setAssemblyVersion(Version assemblyVersion) {
		m_theModelOffering.setAssemblyVersion(assemblyVersion);		
	}


	public Information getInformation() {
		return m_theModelOffering.getInformation();
	}


	public void setInformation(Information info) {
		m_theModelOffering.setInformation(info);		
	}


	public Version getVersion() {
		return m_theModelOffering.getVersion();
	}


	public IIdentity getIdentity() {
		return m_theModelOffering.getIdentity();
	}


	public void setVersion(Version version) {
		m_theModelOffering.setVersion(version);		
	}

	public Set getGroups() {
		return m_theModelOffering.getGroups();
	}

	public void addGroup(IFeatureGroup group) {
		m_theModelOffering.addGroup(group);
	}
	
	public boolean isPreferred() {
		return m_isPreferred;
	}

	public void setPreferred(boolean a_isPreferred) {
		m_isPreferred = a_isPreferred;
	}


	public boolean isTrial() {
		return m_isTrial;
	}

	public void setTrial(boolean a_isTrial) {
		m_isTrial = a_isTrial;
	}
	////////////////////////////////////////////////////////////////////////////
	/**
	 * The actual Cic model offering 
	 */
	IOffering m_theModelOffering;
	
	
	/**
	 * States if this offering version is preferred amongst all offering 
	 * with the same identity but different versions.
	 */
	boolean   m_isPreferred=false;
	
	
	/**
	 * States if this is a trial offering
	 */
	boolean   m_isTrial=false;


}//=============================================================================
